<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="380dp"
    android:layout_height="500dp"
    android:layout_gravity="center">

    <TextView
        android:id="@+id/title"
        android:layout_width="wrap_content"
        android:layout_height="50dp"
        android:layout_centerHorizontal="true"
        android:layout_marginTop="20dp"
        android:fontFamily="@font/kanit_black"
        android:gravity="center"
        android:text="REGISTER"
        android:textColor="@color/colorTextBlack"
        android:textSize="22sp"
        android:textStyle="bold" />

    <LinearLayout
        android:id="@+id/register"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@+id/title"
        android:layout_marginTop="10dp"
        android:paddingLeft="40dp">


        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/nameLayout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:errorEnabled="true">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/edtFullname"
                    android:layout_width="300dp"
                    android:layout_height="wrap_content"
                    android:background="@null"
                    android:ems="10"
                    android:hint="Name"
                    android:inputType="textPersonName"
                    android:textSize="16sp" />
            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/studentIDLayout"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/nameLayout"
                app:counterEnabled="true"
                app:counterMaxLength="12"
                app:errorEnabled="true">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/edtStudentID"
                    android:layout_width="300dp"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/edtFullname"
                    android:layout_marginTop="20dp"
                    android:background="@null"
                    android:ems="10"
                    android:hint="Student ID"
                    android:inputType="textPersonName|phone"
                    android:maxLength="12"
                    android:textSize="16sp" />
            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/branchLayout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@+id/studentIDLayout"
                app:errorEnabled="true">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/edtBranch"
                    android:layout_width="300dp"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/edtStudentID"
                    android:layout_marginTop="20dp"
                    android:background="@null"
                    android:ems="10"
                    android:hint="Branch"
                    android:inputType="textPersonName"
                    android:textSize="16sp" />
            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/facultyLayout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@+id/branchLayout"
                app:errorEnabled="true">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/edtFaculty"
                    android:layout_width="300dp"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/edtBranch"
                    android:layout_marginTop="20dp"
                    android:background="@null"
                    android:ems="10"
                    android:hint="Faculty"
                    android:inputType="textPersonName"
                    android:textSize="16sp" />
            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/emailLayout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@+id/facultyLayout"
                app:errorEnabled="true">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/edtEmail"
                    android:layout_width="300dp"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/edtFaculty"
                    android:layout_marginTop="20dp"
                    android:background="@null"
                    android:ems="10"
                    android:hint="Email"
                    android:inputType="textPersonName"
                    android:textSize="16sp" />
            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/passwordLayout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@+id/emailLayout"
                app:errorEnabled="true"
                app:passwordToggleEnabled="true">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/edtRegisterPassword"
                    android:layout_width="300dp"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/edtEmail"
                    android:background="@null"
                    android:ems="10"
                    android:hint="Password"
                    android:inputType="textPassword"
                    android:textSize="16sp" />
            </com.google.android.material.textfield.TextInputLayout>
        </RelativeLayout>
    </LinearLayout>

    <!--button ok and cancel-->
    <RelativeLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@+id/register"
        android:layout_centerHorizontal="true"
        android:layout_marginTop="15dp"
        android:paddingLeft="20dp"
        android:paddingRight="20dp">

        <Button
            android:id="@+id/btnRegisterSubmit"
            android:layout_width="140dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="15dp"
            android:layout_toEndOf="@+id/cancelButton"
            android:background="@drawable/shape_dialog_button_cc"
            android:fontFamily="@font/kanit_black"
            android:text="OK"
            android:textColor="@color/colorIcons" />

        <Button
            android:id="@+id/cancelButton"
            android:layout_width="140dp"
            android:layout_height="wrap_content"
            android:background="@drawable/shape_dialog_button_bg"
            android:fontFamily="@font/kanit_black"
            android:text="Cancel"
            android:textColor="@color/colorIcons" />
    </RelativeLayout>

</RelativeLayout>